curl "https://server.smartlead.ai/api/v1/campaigns/all-leads-activities?api_key=YOUR_KEY&limit=50&event_time_from=2025-11-01&event_time_to=2025-11-30"
{
"data": [
{
"lead_id": 2995276770,
"email_lead_map_id": 2433664091,
"campaign_id": 123,
"campaign_name": "Q4 Outreach",
"campaign_status": "ACTIVE",
"status": "INPROGRESS",
"current_seq_num": 2,
"created_at": "2025-11-25T12:54:54.000Z",
"activities": [
{
"stats_id": 12345,
"message_id": "<abc123@mail.example.com>",
"subject": "Quick question about your workflow",
"email_body": "Hi John, I wanted to reach out...",
"sent_time": "2025-11-26T10:00:00.000Z",
"from_email": "sender@company.com",
"to_email": "john@example.com",
"email_seq_number": 1,
"open_count": 3,
"click_count": 1,
"click_details": {},
"reply_details": {
"time": "2025-11-26T14:30:00.000Z",
"reply_email_body": "Thanks for reaching out...",
"message_id": "<reply123@example.com>"
},
"thread_replies": []
}
]
}
],
"hasMore": true
}
Retrieve comprehensive activity timeline for all leads across all campaigns with email interactions
curl "https://server.smartlead.ai/api/v1/campaigns/all-leads-activities?api_key=YOUR_KEY&limit=50&event_time_from=2025-11-01&event_time_to=2025-11-30"
{
"data": [
{
"lead_id": 2995276770,
"email_lead_map_id": 2433664091,
"campaign_id": 123,
"campaign_name": "Q4 Outreach",
"campaign_status": "ACTIVE",
"status": "INPROGRESS",
"current_seq_num": 2,
"created_at": "2025-11-25T12:54:54.000Z",
"activities": [
{
"stats_id": 12345,
"message_id": "<abc123@mail.example.com>",
"subject": "Quick question about your workflow",
"email_body": "Hi John, I wanted to reach out...",
"sent_time": "2025-11-26T10:00:00.000Z",
"from_email": "sender@company.com",
"to_email": "john@example.com",
"email_seq_number": 1,
"open_count": 3,
"click_count": 1,
"click_details": {},
"reply_details": {
"time": "2025-11-26T14:30:00.000Z",
"reply_email_body": "Thanks for reaching out...",
"message_id": "<reply123@example.com>"
},
"thread_replies": []
}
]
}
],
"hasMore": true
}
2025-11-25T00:00:00.000Z) or YYYY-MM-DD formatYYYY-MM-DD format. Must be used with event_time_fromcurl "https://server.smartlead.ai/api/v1/campaigns/all-leads-activities?api_key=YOUR_KEY&limit=50&event_time_from=2025-11-01&event_time_to=2025-11-30"
Show Lead activity properties
Show Activity properties
{
"data": [
{
"lead_id": 2995276770,
"email_lead_map_id": 2433664091,
"campaign_id": 123,
"campaign_name": "Q4 Outreach",
"campaign_status": "ACTIVE",
"status": "INPROGRESS",
"current_seq_num": 2,
"created_at": "2025-11-25T12:54:54.000Z",
"activities": [
{
"stats_id": 12345,
"message_id": "<abc123@mail.example.com>",
"subject": "Quick question about your workflow",
"email_body": "Hi John, I wanted to reach out...",
"sent_time": "2025-11-26T10:00:00.000Z",
"from_email": "sender@company.com",
"to_email": "john@example.com",
"email_seq_number": 1,
"open_count": 3,
"click_count": 1,
"click_details": {},
"reply_details": {
"time": "2025-11-26T14:30:00.000Z",
"reply_email_body": "Thanks for reaching out...",
"message_id": "<reply123@example.com>"
},
"thread_replies": []
}
]
}
],
"hasMore": true
}
event_time_from and event_time_to parameters to filter by date range for better performance.hasMore field indicates if there are additional results. Use the offset parameter to paginate through results.